MODULE YOEADBUFFER

USE PARKIND1  ,ONLY : JPIM, JPRB

IMPLICIT NONE

SAVE

! A. BENEDETTI - ECMWF 07.08.2008
!     ------------------------------------------------------------------

LOGICAL :: adl4buf(512), adl4lbuf(512)
INTEGER(KIND=JPIM) :: adl4ibuf,adl4ilbuf
LOGICAL :: adl4inlbuf

INTEGER(KIND=JPIM) :: adi4buf(512), adi4lbuf(512)
INTEGER(KIND=JPIM) :: adi4ibuf,adi4ilbuf
LOGICAL :: adi4inlbuf

REAL(KIND=JPRB) :: adr8buf(512), adr8lbuf(512)
INTEGER(KIND=JPIM) :: adr8ibuf,adr8ilbuf
LOGICAL :: adr8inlbuf

!     ------------------------------------------------------------------
END MODULE YOEADBUFFER 
